EVENTS
Delink Schema from Event
Remove the linked schema from an event, making it schema-less. This allows the event to accept any payload structure without validation against a predefined schema.
PATCH
/
v1
/
{workspace}
/
event
/
{url_encoded_event_name}
/
delink_schema
/
Delink Schema from Event
curl -X PATCH "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "user_signup",
"description": "Triggered whenever a new user successfully signs up on the platform",
"payload_schema": null,
"created_at": "2025-08-27T09:30:57.945326Z",
"$schema": "https://schema.suprsend.com/event/v1/schema.json"
}{
"code": 400,
"error_code": "error",
"type": "ValidationError",
"message": "Event does not have a linked schema to delink",
"detail": {
"payload_schema": [
"Event does not have a linked schema to delink"
]
}
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "Event 'user_signup' not found in workspace 'staging'",
"detail": "Event 'user_signup' not found in workspace 'staging'"
}Authorizations
You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.
Path Parameters
Workspace slug (staging, production, etc.)
URL encoded event name. Example - SHIPMENT%20ARRIVED
Response
Successfully delinked schema from event
Event name
Example:
"user_signup"
Description of the event
Example:
"Triggered whenever a new user successfully signs up on the platform"
Schema has been delinked from the event
Example:
null
When the event was created
Example:
"2025-08-27T09:30:57.945326Z"
JSON Schema reference for how the event API call should be structured
Example:
"https://schema.suprsend.com/event/v1/schema.json"
Was this page helpful?
⌘I
Delink Schema from Event
curl -X PATCH "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/" \
--header 'Authorization: ServiceToken <token>' \
--header 'Content-Type: application/json'import requests
url = "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/"
headers = {"ServiceToken <token>": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'ServiceToken <token>': '<api-key>'}};
fetch('https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/delink_schema/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "user_signup",
"description": "Triggered whenever a new user successfully signs up on the platform",
"payload_schema": null,
"created_at": "2025-08-27T09:30:57.945326Z",
"$schema": "https://schema.suprsend.com/event/v1/schema.json"
}{
"code": 400,
"error_code": "error",
"type": "ValidationError",
"message": "Event does not have a linked schema to delink",
"detail": {
"payload_schema": [
"Event does not have a linked schema to delink"
]
}
}{
"code": 401,
"error_code": "authentication_failed",
"type": "AuthenticationFailed",
"message": "Invalid service token.",
"detail": "Invalid service token."
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "Event 'user_signup' not found in workspace 'staging'",
"detail": "Event 'user_signup' not found in workspace 'staging'"
}